Re: [NixOS/nixpkgs] ghcWithPackages wrapper does not work with ghc-8.10.1 (#79441)

From: notifications@github.com
Domain: IP info github.com
MX-server: IP info out-5.smtp.github.com
Size: 3326 Bytes
Create: 2020-03-26
Update: 2020-03-27
Score: 3
Safe: Yes

Outbound domains: github.com |

Still doesn't work with the most recent haskell-updates branch:

$ nix-shell -I nixpkgs=. -p 'haskell.packages.ghc8101.ghcWithPackages (p: [ p.vector ])'
these derivations will be built:
  /nix/store/g42dzyfixjsdic6v941pwr640my07712-ghc-8.10.1-with-packages.drv
building '/nix/store/g42dzyfixjsdic6v941pwr640my07712-ghc-8.10.1-with-packages.drv'...
/nix/store/y5mlq6k40lmglk83g2d4wwrqbnczlfcc-vector-0.12.1.2/nix-support:
propagated-build-inputs: /nix/store/mjgcc312nynrbf4157g6yyll362swykh-primitive-0.7.0.1/nix-support/propagated-build-inputs
/nix/store/si82shf1fvp87zkv0dx6bsr0hw4h0v0q-ghc-8.10.1/nix-support:
propagated-build-inputs: /nix/store/mjgcc312nynrbf4157g6yyll362swykh-primitive-0.7.0.1/nix-support/propagated-build-inputs
ghc-pkg: Couldn't open database /nix/store/8k4pha8h3ah1dar9985g9p1bs64k04a3-ghc-8.10.1-with-packages/lib/ghc-8.10.1/package.conf.d for modification: {handle: /nix/store/8k4pha8h3ah1dar9985g9p1bs64k04a3-ghc-8.10.1-with-packages/lib/ghc-8.10.1/package.conf.d/package.cache.lock}: hLock: invalid argument (Bad file descriptor)
builder for '/nix/store/g42dzyfixjsdic6v941pwr640my07712-ghc-8.10.1-with-packages.drv' failed with exit code 1
error: build of '/nix/store/g42dzyfixjsdic6v941pwr640my07712-ghc-8.10.1-with-packages.drv' failed

I asked on the #ghc channel and I was pointed to this possibly related issue: haskell/cabal#6222.


You are receiving this because you are subscribed to this thread.
Reply to this email directly, view it on GitHub, or unsubscribe.

Want to protect your real email from messages like this? Use TempM email and be more secure on the internet.